#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x5768bc8c, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x4a0cdabd, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xba777784, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa041477d, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0526f59, "__pskb_pull_tail" },
	{ 0x3af48a39, "register_netdevice" },
	{ 0x80a04bb6, "netdev_upper_dev_link" },
	{ 0x67a15a7e, "netdev_upper_dev_unlink" },
	{ 0x9d9bb056, "unregister_netdevice_queue" },
	{ 0x6a4261bd, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb18a0e65, "netif_stacked_transfer_operstate" },
	{ 0xf3b13a61, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xa78b8c74, "netdev_rx_handler_register" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0x3475cc98, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92e821cb, "netdev_rx_handler_unregister" },
	{ 0x421ca5c0, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x399c7a65, "netif_carrier_off" },
	{ 0x3f53f496, "dev_mc_unsync" },
	{ 0xe54129fb, "dev_uc_unsync" },
	{ 0x28fb5307, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x473e83a3, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf1f983a5, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb4c84952, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x15f5a8b2, "rtnl_link_register" },
	{ 0x510dc027, "genl_register_family" },
	{ 0x2b2d6843, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x358c198b, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xad89177a, "crypto_alloc_aead" },
	{ 0xcb287979, "crypto_aead_setkey" },
	{ 0x4486462e, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7b1131bd, "skb_pull" },
	{ 0xd2ec808e, "___pskb_trim" },
	{ 0x293c1132, "ether_setup" },
	{ 0xd7d2bd88, "dst_release" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x28ac62b9, "dev_mc_sync" },
	{ 0x4a768c7f, "dev_uc_sync" },
	{ 0x1e06ed0e, "dev_set_allmulti" },
	{ 0x7b96d491, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xbe1fe8c2, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4f11ef05, "__dev_queue_xmit" },
	{ 0x80522163, "skb_clone" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0x18a838f4, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xff2728c3, "skb_to_sgvec" },
	{ 0x438438b9, "crypto_aead_decrypt" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0xfec9642c, "skb_copy" },
	{ 0x3226dcf7, "eth_type_trans" },
	{ 0x8ae33362, "gro_cells_receive" },
	{ 0xf3305d16, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xafc6a211, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1d32c893, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3bf4a5f, "skb_push" },
	{ 0xd24827ec, "skb_put" },
	{ 0xccc4d5ad, "crypto_aead_encrypt" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
