#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15c16d01, "genphy_c37_read_status" },
	{ 0x1d5616c3, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4d7bc4a, "bcm_phy_get_sset_count" },
	{ 0x7ecb3905, "bcm_ptp_probe" },
	{ 0x55272120, "devm_gpiod_get" },
	{ 0x753d10d4, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0xb4288fac, "devm_request_threaded_irq" },
	{ 0x768bf085, "device_set_wakeup_capable" },
	{ 0xe0cdd159, "device_wakeup_enable" },
	{ 0x863b8801, "phy_resolve_aneg_linkmode" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0x28f78e4e, "bcm_ptp_config_init" },
	{ 0xeff70153, "pm_wakeup_dev_event" },
	{ 0x61394cf2, "genphy_resume" },
	{ 0x14a9ed3d, "genphy_soft_reset" },
	{ 0xbad00401, "bcm_phy_config_intr" },
	{ 0xcaff0b7c, "bcm_phy_handle_interrupt" },
	{ 0xb89c3fba, "bcm_phy_get_strings" },
	{ 0x3bc314cd, "bcm_phy_led_brightness_set" },
	{ 0x5f2cae14, "genphy_suspend" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdeb4143f, "phy_drivers_register" },
	{ 0xaa27426e, "mdiobus_read" },
	{ 0x8e1bbfd3, "phy_trigger_machine" },
	{ 0x7e0e97eb, "phy_error" },
	{ 0xdf425855, "bcm54xx_auxctl_read" },
	{ 0xe1ca589a, "bcm54xx_auxctl_write" },
	{ 0x25e898e8, "bcm_phy_read_shadow" },
	{ 0x62282cf5, "bcm_phy_write_shadow" },
	{ 0x78b80bb4, "bcm_config_lre_aneg" },
	{ 0x97d97693, "__genphy_config_aneg" },
	{ 0x153b555e, "phy_modify" },
	{ 0x5655bbb5, "genphy_c37_config_aneg" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0x19e726f7, "bcm_phy_get_wol" },
	{ 0x64302985, "bcm_phy_set_wol" },
	{ 0x55df5c6, "bcm_phy_get_stats" },
	{ 0x6ada0c7a, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x261766ae, "mdiobus_write" },
	{ 0xe0a6b4f7, "bcm_phy_read_exp" },
	{ 0x80d2141f, "bcm_phy_write_exp" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xcfa23124, "genphy_read_abilities" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.7");
