#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x2f1d8217, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xd88f9f8e, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x1b0076be, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x6bfc4d7f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x25806803, "__skb_checksum_complete" },
	{ 0x338ad29b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc594f696, "skb_copy_bits" },
	{ 0x602fff98, "__nlmsg_put" },
	{ 0xfe71c1a5, "netdev_adjacent_change_commit" },
	{ 0x8fffb2f4, "eth_mac_addr" },
	{ 0xd24827ec, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5756212, "ip6_dst_hoplimit" },
	{ 0xb3d97236, "param_ops_ushort" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xf601475c, "udp_sock_create4" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x725fe49a, "udp_tunnel6_xmit_skb" },
	{ 0x15f5a8b2, "rtnl_link_register" },
	{ 0xcb142a8c, "__unregister_nexthop_notifier" },
	{ 0xd443dcaa, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x4193bcee, "eth_validate_addr" },
	{ 0x3bbed0f4, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1d32c893, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd29d1376, "rtnl_create_link" },
	{ 0x9d9bb056, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe0ba423b, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x293c1132, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ed3e0db, "udp_tunnel_drop_rx_port" },
	{ 0xfd5887fd, "pskb_expand_head" },
	{ 0x80a04bb6, "netdev_upper_dev_link" },
	{ 0x8b38c7fd, "register_pernet_subsys" },
	{ 0x3226dcf7, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x28ebaaef, "__alloc_skb" },
	{ 0x794ac84e, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa914173a, "eth_gro_complete" },
	{ 0x63460864, "rtnl_set_sk_err" },
	{ 0x59d99e48, "eth_gro_receive" },
	{ 0x46271b35, "rtnl_configure_link" },
	{ 0xfcb106dd, "skb_tunnel_check_pmtu" },
	{ 0x1b17fdb4, "udp_tunnel_dst_lookup" },
	{ 0x40542ece, "rtnl_unicast" },
	{ 0xc988f375, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xb34bea11, "__skb_get_hash_net" },
	{ 0x57bfd83a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf3305d16, "__dev_get_by_index" },
	{ 0x2b2d6843, "rtnl_link_unregister" },
	{ 0x3f3d2a4a, "ipv6_stub" },
	{ 0x7b1131bd, "skb_pull" },
	{ 0x806a07ed, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xfb6ad04, "dev_get_by_index_rcu" },
	{ 0x8ae33362, "gro_cells_receive" },
	{ 0xe3bf4a5f, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x67a15a7e, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x13adef8c, "free_netdev" },
	{ 0x9e8c7bb8, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xab3d012b, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4f7fe787, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe64e9337, "ethtool_op_get_link" },
	{ 0x1673873b, "nexthop_find_by_id" },
	{ 0xec771a01, "arp_create" },
	{ 0x7ea6b025, "__ethtool_get_link_ksettings" },
	{ 0x94ab72a3, "netdev_adjacent_change_prepare" },
	{ 0x89b57e29, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xe82f48fb, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf42d3271, "rhashtable_free_and_destroy" },
	{ 0x441c5851, "rht_bucket_nested_insert" },
	{ 0x13c915e6, "netdev_adjacent_change_abort" },
	{ 0xa3b9ca76, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x1e4bbe82, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc0fc7254, "__iptunnel_pull_header" },
	{ 0xa0526f59, "__pskb_pull_tail" },
	{ 0x45487278, "dev_get_tstats64" },
	{ 0x444cbb77, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x12e308ca, "rhashtable_destroy" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x78da3f26, "setup_udp_tunnel_sock" },
	{ 0x3c1a0f13, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3475cc98, "skb_trim" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9dc7c33b, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8637bcd7, "skb_scrub_packet" },
	{ 0x3de0023e, "nexthop_select_path" },
	{ 0x7d4b6caf, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x23b76c1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x793b4693, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0x5d8e6481, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf8f40565, "rtnl_notify" },
	{ 0xa62c95a6, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xafc6a211, "__netif_rx" },
	{ 0x80522163, "skb_clone" },
	{ 0x6a4261bd, "metadata_dst_alloc" },
	{ 0xd7d2bd88, "dst_release" },
	{ 0x145b7538, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x44478ada, "udp_tunnel_notify_del_rx_port" },
	{ 0xdd2b2357, "register_nexthop_notifier" },
	{ 0x2782742c, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x26ac3626, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x42fc6a92, "netdev_core_stats_inc" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0xac240e1c, "netdev_info" },
	{ 0xf46a4e4b, "neigh_lookup" },
	{ 0x5837a52c, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3af48a39, "register_netdevice" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "17D48049F17E17C62990BEF");
MODULE_INFO(rhelversion, "9.7");
