#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x03b72a4f, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x4ee3fe81, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x0e3e06b1, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x874473a0, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x0a5a2a11, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xbb89b775, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x8e9b6682, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x54ab0f30, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x9864f41f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x5e6bb953, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xefb82437, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x8b38c7fd, "register_pernet_subsys" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x4fc0f77e, "seq_puts" },
	{ 0xe82f48fb, "unregister_pernet_subsys" },
	{ 0xd3024765, "nf_register_net_hooks" },
	{ 0x3b75913a, "nf_unregister_net_hooks" },
	{ 0xfc494140, "skb_ensure_writable" },
	{ 0x36765123, "inet_proto_csum_replace4" },
	{ 0xde5dc2a1, "ip_route_me_harder" },
	{ 0x67a0a6e0, "ip_local_out" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x3a79e358, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb7340552, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc594f696, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x502c98a, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x6b527f2d, "nf_ct_tmpl_alloc" },
	{ 0x9bf965ec, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x815a0e21, "proc_create_net_data" },
	{ 0x2130e846, "nf_ct_tmpl_free" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x28ebaaef, "__alloc_skb" },
	{ 0xd24827ec, "skb_put" },
	{ 0x823c65dc, "ipv6_skip_exthdr" },
	{ 0xc45eb0a6, "nf_ct_seqadj_init" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.7");
