#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dport_map_rcd_linkcap, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mailbox_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x91ec2ea2, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xd78ec720, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xf24c0669, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x72f34765, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x072d22a6, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x0b412160, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x6c2be6de, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x3e51234a, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xbbb5330b, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x743513c4, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x91be722c, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x6fec6f32, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x26940239, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x73d215d0, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x7b18c543, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x16f6e448, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x7917fc31, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x4d02c1b4, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xc887ae57, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x9074e2af, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xcc784d15, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x877db77c, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xb6b8c5c9, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x073c5c38, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x162d7b80, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x8e81e3ab, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xdce28fd7, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x8336a479, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x868acb56, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xa4483fa4, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x352d8a8f, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x3e87069b, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xf7f898e7, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xbb71ef2b, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x92c60d07, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x7c6a7d9e, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x6eb2e0eb, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x6c799229, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x39defe84, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x7f16f61f, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xf1aa91ce, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x1c78a6aa, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x3191be70, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xdd9d07e6, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x50e18047, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xd3ade4cf, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x35efaf29, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x99a07fd5, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x8b2c4f31, "_gpl");
SYMBOL_CRC(cxl_dport_map_rcd_linkcap, 0xa7344a9d, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x4fddf8e1, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x7c44f021, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x8488dc58, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x0c50b9d3, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xd863c7e4, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x59adfe32, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x111b9ded, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x1f565c89, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xb25281e4, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0xe3fb7c30, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xf9586f87, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x17fb013f, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x438bb608, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x9d90cec2, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xeaf578e0, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xd84b4f13, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xb7f62d5d, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x49b5d8c9, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x00c1c8bf, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x56fd0411, "_gpl");
SYMBOL_CRC(cxl_mailbox_init, 0x91b6ae80, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x3d4e9d94, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xf2c6152c, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0xc4ba7854, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x1d762c0a, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x0d79cfc4, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xbf04b1cc, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0x8a6f30ba, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xf3036bb8, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xdb008490, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0x74210953, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x4d0e07ee, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x0ff008b2, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xa60a1786, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xc47c8608, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xac1b1c3b, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x82ea4a02, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x92b081ee, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x9393a932, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x5a35133b, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x9604e367, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xce24089e, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x817b30af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c3364ad, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7145ed2d, "ida_alloc_range" },
	{ 0x4b070490, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x96170fc2, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf03a0963, "bpf_trace_run4" },
	{ 0xddaf5709, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa9eb7bd2, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa5ff229b, "dev_set_name" },
	{ 0xb3d97236, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x495787f9, "cdev_device_del" },
	{ 0x2f293aac, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x7dfca2ce, "device_unregister" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0x102df409, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x993fea11, "device_initialize" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x30088e46, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1256c406, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xba1e4c08, "bpf_trace_run2" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0xde9bd43, "devm_remove_action" },
	{ 0x6fc1bbc2, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6103c916, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf4c1393c, "platform_bus" },
	{ 0x57b33fbb, "dev_driver_string" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0x49490fcf, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd1e21fe1, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xd79c7edb, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0xcc36d620, "put_device" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x45288aad, "bus_for_each_dev" },
	{ 0x8be61e9, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9d0fa38c, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9169240d, "perf_trace_run_bpf_submit" },
	{ 0xd9580b1e, "sysfs_update_group" },
	{ 0x724afd2b, "bus_unregister" },
	{ 0x305201c9, "down_write" },
	{ 0x710b9f3b, "devm_kfree" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0xb9caedd0, "_dev_err" },
	{ 0x4a72c051, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xe931a625, "debugfs_create_bool" },
	{ 0x81b4051d, "bus_find_device" },
	{ 0x3f50ec78, "device_add" },
	{ 0xf2ea4ca1, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x84549400, "simple_attr_release" },
	{ 0x65f9b965, "xa_load" },
	{ 0x5d855ca, "noop_llseek" },
	{ 0xb2a670d9, "bpf_trace_run5" },
	{ 0xae7082d7, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xc5a7067a, "kernfs_find_and_get_ns" },
	{ 0x4b45b8c7, "debugfs_remove" },
	{ 0xf1321521, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0x8c86081b, "ida_free" },
	{ 0x2977ec2f, "driver_unregister" },
	{ 0x2932039b, "pcie_link_speed_mbps" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x201c4f2b, "device_find_child" },
	{ 0x3a3f0b1d, "mutex_lock_interruptible" },
	{ 0xf6ba4fc7, "devm_release_action" },
	{ 0xed6ab4f7, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd0795122, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0x4ef4d179, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x25336e3d, "device_for_each_child_reverse_from" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa1ec1ca4, "down_read" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x80f39db0, "__xa_insert" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x5d153e1d, "bpf_trace_run3" },
	{ 0xce4c86cb, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x819448fc, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0xbfcd01b1, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb1671596, "einj_cxl_available_error_type_show" },
	{ 0xfeb4cf84, "xa_destroy" },
	{ 0x18677d54, "xa_find" },
	{ 0x6a03efe8, "kernfs_put" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xb58cccb, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa6da03c, "seq_printf" },
	{ 0x7d26457b, "xa_store" },
	{ 0x770d5e3b, "device_match_name" },
	{ 0xd3cfbd70, "einj_cxl_inject_error" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x90a70b0a, "debugfs_create_file_full" },
	{ 0xbe277deb, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x34dc4ce3, "pci_walk_bus" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x274612d8, "xa_find_after" },
	{ 0xd6f00bb4, "__devm_add_action" },
	{ 0x582a5536, "pci_find_dvsec_capability" },
	{ 0x356b1096, "device_find_child_by_name" },
	{ 0x7e3943, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe4fe1c83, "single_open" },
	{ 0xc8ba43d5, "pci_write_config_word" },
	{ 0x82be5e6, "debugfs_create_dir" },
	{ 0xf7fb7fa, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb772c2f, "up_read" },
	{ 0x662b9840, "driver_register" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2c1f070f, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8feac652, "pci_bus_type" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5903664d, "bus_register" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "16C3158FA335F1E715FEEC1");
MODULE_INFO(rhelversion, "9.7");
