#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xf2cc5976, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x15069c71, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xcfe6380c, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x3b5596c7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb18a0e65, "netif_stacked_transfer_operstate" },
	{ 0x421ca5c0, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9d9bb056, "unregister_netdevice_queue" },
	{ 0x67a15a7e, "netdev_upper_dev_unlink" },
	{ 0xf3305d16, "__dev_get_by_index" },
	{ 0x3af48a39, "register_netdevice" },
	{ 0x80a04bb6, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf3b13a61, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4a768c7f, "dev_uc_sync" },
	{ 0x28ac62b9, "dev_mc_sync" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x444cbb77, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x80522163, "skb_clone" },
	{ 0xf09b90e, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x4f11ef05, "__dev_queue_xmit" },
	{ 0x1664e09c, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xafc6a211, "__netif_rx" },
	{ 0xfd75d535, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x42fc6a92, "netdev_core_stats_inc" },
	{ 0x7a156f1b, "passthru_features_check" },
	{ 0x4193bcee, "eth_validate_addr" },
	{ 0x2695c639, "ndo_dflt_fdb_dump" },
	{ 0xe64e9337, "ethtool_op_get_link" },
	{ 0xab6955d, "eth_header_parse" },
	{ 0x58a0ca34, "eth_header_cache" },
	{ 0x833c374b, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x293c1132, "ether_setup" },
	{ 0x7ea6b025, "__ethtool_get_link_ksettings" },
	{ 0xd95805e7, "ethtool_get_ts_info_by_layer" },
	{ 0xcc4f0c17, "init_net" },
	{ 0xb03e9d3b, "generic_hwtstamp_set_lower" },
	{ 0xcd0b6758, "generic_hwtstamp_get_lower" },
	{ 0x5a9eee6c, "dev_mc_del" },
	{ 0x28fb5307, "dev_uc_del" },
	{ 0xc2d01a4d, "dev_mc_add_excl" },
	{ 0x903fd8e9, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x8d07ef5d, "vlan_vid_del" },
	{ 0x79d5286d, "vlan_vid_add" },
	{ 0x1e06ed0e, "dev_set_allmulti" },
	{ 0x7b96d491, "dev_set_promiscuity" },
	{ 0xe54129fb, "dev_uc_unsync" },
	{ 0x3f53f496, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x92e821cb, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0xcdf23f80, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x15f5a8b2, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2b2d6843, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xe0cc2401, "netdev_is_rx_handler_busy" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xa78b8c74, "netdev_rx_handler_register" },
	{ 0x473e83a3, "dev_uc_add" },
	{ 0xc74db1c6, "call_netdevice_notifiers" },
	{ 0xd443dcaa, "netif_inherit_tso_max" },
	{ 0xba9e1bb4, "netdev_update_features" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BF40D7B4562138811E93981");
MODULE_INFO(rhelversion, "9.7");
