#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0xbc0a8ef6, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xd45baa1b, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x12fe253e, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xe1b113a6, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb93037da, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x612d5a1a, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xfbc01b77, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x92d72aac, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x380ae543, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xca013597, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0xe9f34e80, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xdcf952dd, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xa4bdbac3, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0xa7806905, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xde6c2fa7, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x9b6dd925, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x12fe232c, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x587032f2, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x80899426, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x233f6f9a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x2386280d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x261766ae, "mdiobus_write" },
	{ 0xaa27426e, "mdiobus_read" },
	{ 0x35dfc64, "phy_write_mmd" },
	{ 0x153b555e, "phy_modify" },
	{ 0x8e1bbfd3, "phy_trigger_machine" },
	{ 0x7e0e97eb, "phy_error" },
	{ 0xabd3d786, "phy_modify_changed" },
	{ 0x8f5b349a, "genphy_update_link" },
	{ 0xf381c56, "genphy_read_lpa" },
	{ 0xd3315ce, "phy_resolve_aneg_pause" },
	{ 0xeaa5480f, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb9caedd0, "_dev_err" },
	{ 0x8405ba08, "phy_read_mmd" },
	{ 0xa9a14cf7, "ethnl_cable_test_result_with_src" },
	{ 0x390f40c6, "ethnl_cable_test_fault_length_with_src" },
	{ 0x9648b624, "phy_modify_mmd" },
	{ 0x14a9ed3d, "genphy_soft_reset" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
