#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x9ae4726e, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x44c74ea4, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xee0148be, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x97dc65e1, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xc92d5d85, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x6fff5778, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x16dcb869, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x967af597, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x0d294cd3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16953432, "netdev_err" },
	{ 0x1ef9b4e4, "idr_remove" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0x7d3ac056, "_copy_to_iter" },
	{ 0x6ef40262, "iov_iter_advance" },
	{ 0xafd0fc55, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x84ab426, "idr_find" },
	{ 0x818876a9, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0xd9dc6d13, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb9f93914, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2c1f070f, "cdev_init" },
	{ 0x40a0664a, "cdev_add" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0xf582ae7a, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7ad21955, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x366cdeab, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0x1d02269, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x9f70b7fa, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xb5e68870, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe3bf4a5f, "skb_push" },
	{ 0xf7437542, "__skb_gso_segment" },
	{ 0x44ad63dc, "skb_checksum_help" },
	{ 0xafe5aeb2, "kfree_skb_list_reason" },
	{ 0xb34bea11, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb7db8fea, "__skb_flow_dissect" },
	{ 0x15632a05, "skb_partial_csum_set" },
	{ 0xa0526f59, "__pskb_pull_tail" },
	{ 0xfadff0f4, "iov_iter_npages" },
	{ 0xfea4432e, "_copy_from_iter" },
	{ 0xbd04a84d, "sock_alloc_send_pskb" },
	{ 0xd24827ec, "skb_put" },
	{ 0x8d6faa8d, "zerocopy_sg_from_iter" },
	{ 0x4f11ef05, "__dev_queue_xmit" },
	{ 0xef37d969, "skb_copy_datagram_from_iter" },
	{ 0x5a9a1213, "iov_iter_revert" },
	{ 0xc594f696, "skb_copy_bits" },
	{ 0x747eb83a, "build_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xec2a2667, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
