#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x74145248, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x5909f89c, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x5cdda051, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x4786bbc9, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x03e6fcb7, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x1d1652f6, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x4b9a0af9, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x2f0519c3, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xe77b670b, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xeba26d8f, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xec34ac20, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xe6c42861, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xa2a42197, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xcc4f0c17, "init_net" },
	{ 0x299c02e, "alloc_netdev_mqs" },
	{ 0x99924bc1, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x13adef8c, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2b2d6843, "rtnl_link_unregister" },
	{ 0xb7340552, "ip6_local_out" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x1d32c893, "gro_cells_init" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa0526f59, "__pskb_pull_tail" },
	{ 0x3af48a39, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xf3e45707, "netdev_state_change" },
	{ 0xb2ad1543, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4b797942, "dst_cache_get" },
	{ 0xc94575e4, "ipv4_mtu" },
	{ 0x8637bcd7, "skb_scrub_packet" },
	{ 0x9b22bbb5, "skb_realloc_headroom" },
	{ 0xc8b0e516, "skb_set_owner_w" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0xd9fac13b, "ipv6_push_frag_opts" },
	{ 0xe3bf4a5f, "skb_push" },
	{ 0xea7a26ff, "ip6_route_output_flags" },
	{ 0x212519e, "ipv6_dev_get_saddr" },
	{ 0x9b5c805c, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc594f696, "skb_copy_bits" },
	{ 0x5756212, "ip6_dst_hoplimit" },
	{ 0x793b4693, "neigh_destroy" },
	{ 0x78ef67f4, "make_kuid" },
	{ 0xb719dc01, "ip6_redirect" },
	{ 0xbe5f30f7, "ip6_update_pmtu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe0ba423b, "iptunnel_handle_offloads" },
	{ 0x8d97a2eb, "icmpv6_ndo_send" },
	{ 0x761b0735, "icmp_ndo_send" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0x80522163, "skb_clone" },
	{ 0x7b1131bd, "skb_pull" },
	{ 0x6c5a0c01, "__icmpv6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8ae33362, "gro_cells_receive" },
	{ 0x3226dcf7, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc0fc7254, "__iptunnel_pull_header" },
	{ 0x6a4261bd, "metadata_dst_alloc" },
	{ 0xf2397da2, "ip_route_output_flow" },
	{ 0x7f72ae10, "ip_route_input_noref" },
	{ 0x2c8af003, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x45487278, "dev_get_tstats64" },
	{ 0xde927a03, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde8b873e, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5eaa78c6, "ipv6_chk_addr_and_flags" },
	{ 0xfb6ad04, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x66f4f341, "register_pernet_device" },
	{ 0xd2a15ad1, "xfrm6_tunnel_register" },
	{ 0x15f5a8b2, "rtnl_link_register" },
	{ 0xb842af9d, "xfrm6_tunnel_deregister" },
	{ 0x5e37c47, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9d9bb056, "unregister_netdevice_queue" },
	{ 0x1120b22f, "rt6_lookup" },
	{ 0xd7d2bd88, "dst_release" },
	{ 0xf3305d16, "__dev_get_by_index" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "51119951CF018A48EEED5B1");
MODULE_INFO(rhelversion, "9.7");
