#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x441df4aa, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xb5927bf7, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x1d1d7890, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff07bfb0, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9a8dee46, "sock_queue_rcv_skb_reason" },
	{ 0xb7f31eef, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf03a0963, "bpf_trace_run4" },
	{ 0xc594f696, "skb_copy_bits" },
	{ 0xfb927035, "radix_tree_insert" },
	{ 0xd24827ec, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeacc85ec, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d9daa94, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xe25e78ff, "radix_tree_lookup" },
	{ 0xdc985f75, "rt_mutex_base_init" },
	{ 0xeb5027eb, "trace_event_printf" },
	{ 0x25b9e1c5, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x2bae4bd0, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x27f3626c, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x13bb0caa, "__tracepoint_sk_data_ready" },
	{ 0x219035fe, "event_triggers_call" },
	{ 0xc9f6b57c, "__wake_up" },
	{ 0x55c0b765, "__module_get" },
	{ 0xb66b8ff8, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7e4670ee, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x804eca5c, "sk_error_report" },
	{ 0x93a9fa2e, "skb_queue_purge_reason" },
	{ 0x70ada760, "radix_tree_iter_delete" },
	{ 0xe111e3c4, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x202eba72, "proto_unregister" },
	{ 0xfb9a9963, "sock_register" },
	{ 0x608dda49, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xeba4081e, "trace_event_ignore_this_pid" },
	{ 0x28ebaaef, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x873ef30c, "rt_write_unlock" },
	{ 0xe0ec676f, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2e27b164, "module_put" },
	{ 0x4e982865, "__xa_alloc" },
	{ 0x492bdca, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9169240d, "perf_trace_run_bpf_submit" },
	{ 0xcc4f0c17, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1f9cb6e6, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d9aec8d, "sk_skb_reason_drop" },
	{ 0x65f9b965, "xa_load" },
	{ 0xaab8b8c8, "__SCK__tp_func_sk_data_ready" },
	{ 0x6e7b254e, "kernel_getsockname" },
	{ 0x354c43cf, "do_wait_intr_irq" },
	{ 0xb9f93914, "sk_free" },
	{ 0x6adc753f, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2964cf99, "mutex_lock" },
	{ 0xe3bf4a5f, "skb_push" },
	{ 0x78221679, "sock_no_listen" },
	{ 0x92fe3ebb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4f7fe787, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xafd0fc55, "skb_copy_datagram_iter" },
	{ 0x818876a9, "sk_alloc" },
	{ 0x420dd096, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x180d3fd8, "sock_no_mmap" },
	{ 0x41aa5f06, "__init_waitqueue_head" },
	{ 0xffb9d2d9, "sock_no_sendpage" },
	{ 0x49af593f, "__netdev_alloc_skb" },
	{ 0x54eeada6, "rt_spin_unlock" },
	{ 0xa8a316b0, "rt_spin_lock" },
	{ 0x80f39db0, "__xa_insert" },
	{ 0x555ad77b, "xa_erase" },
	{ 0x5d153e1d, "bpf_trace_run3" },
	{ 0xc8b0e516, "skb_set_owner_w" },
	{ 0x759ba997, "trace_event_buffer_reserve" },
	{ 0xcba092ec, "mutex_unlock" },
	{ 0x44510747, "sock_create_kern" },
	{ 0x18677d54, "xa_find" },
	{ 0x768c539e, "skb_recv_datagram" },
	{ 0xbd04a84d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7d26457b, "xa_store" },
	{ 0x2c27a1a0, "rt_write_lock" },
	{ 0xfea4432e, "_copy_from_iter" },
	{ 0xbb8807d1, "sock_release" },
	{ 0x4787c38, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x274612d8, "xa_find_after" },
	{ 0x2240ab06, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x5a9a1213, "iov_iter_revert" },
	{ 0x1853d8ec, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2daf4506, "__mutex_rt_init" },
	{ 0x263457ea, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xc771e5e7, "kmalloc_caches" },
	{ 0x5837a52c, "release_sock" },
	{ 0x14df32df, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
